package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.result.analyze.GradeInitResult;
import com.qmth.distributed.print.business.mapper.GradeInitializeMapper;
import com.qmth.distributed.print.business.service.GradeInitializeService;
import com.qmth.teachcloud.common.entity.SysUser;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @Description: 教研分析对接-数据初始化服务实现类
 * @Author: CaoZixuan
 * @Date: 2022-05-26
 */
@Service
public class GradeInitializeServiceImpl implements GradeInitializeService {
    @Resource
    GradeInitializeMapper gradeInitializeMapper;


    @Override
    public IPage<GradeInitResult> findNeedAnalyzedPaper(Long semesterId, Long examId, String courseCode, SysUser requestUser,int pageNumber,int pageSize) {
        Long schoolId = requestUser.getSchoolId();
        Long userId = requestUser.getId();
        return gradeInitializeMapper.findNeedAnalyzedPaper(new Page<>(pageNumber, pageSize), semesterId,examId,courseCode,userId,schoolId);
    }
}
